<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           elementFormDefault="qualified"
           targetNamespace="http://www.loc.gov/METS/"
           xmlns:METS="http://www.loc.gov/METS/"
           xmlns:datacite="http://datacite.org/schema/kernel-4"
           xmlns:premis="http://www.loc.gov/premis/v3"
           xmlns:dlcm="http://www.dlcm.ch/dlcm/v2"
           xmlns:xlink="http://www.w3.org/1999/xlink">
    <xs:import namespace="http://datacite.org/schema/kernel-4" schemaLocation="dlcm_datacite-3.0.xsd"/>
    <xs:import namespace="http://www.loc.gov/premis/v3" schemaLocation="premis-3.0.xsd"/>
    <xs:import namespace="http://www.dlcm.ch/dlcm/v2" schemaLocation="dlcm-2.2.xsd"/>
    <xs:import namespace="http://www.w3.org/1999/xlink" schemaLocation="dlcm_xlink-1.0.xsd"/>
    <xs:element name="mets">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="METS:metsHdr"/>
                <xs:element ref="METS:dmdSec"/>
                <xs:element ref="METS:amdSec"/>
                <xs:element ref="METS:fileSec"/>
                <xs:element ref="METS:structMap"/>
            </xs:sequence>
            <xs:attribute name="LABEL" use="required"/>
            <xs:attribute name="OBJID" use="required"/>
            <xs:attribute name="PROFILE" use="required" type="xs:anyURI"/>
            <xs:attribute name="TYPE" use="required" type="xs:NMTOKEN"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="metsHdr">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="METS:agent"/>
            </xs:sequence>
            <xs:attribute name="CREATEDATE" use="required" type="xs:dateTime"/>
            <xs:attribute name="LASTMODDATE" use="required" type="xs:dateTime"/>
            <!-- 			<xs:attribute name="RECORDSTATUS" use="required" type="xs:NCName" /> -->
        </xs:complexType>
    </xs:element>
    <xs:element name="agent">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="METS:name"/>
                <xs:element ref="METS:note"/>
            </xs:sequence>
            <xs:attribute name="OTHERTYPE" use="required" type="xs:NCName"/>
            <xs:attribute name="ROLE" use="required" type="xs:NCName"/>
            <xs:attribute name="TYPE" use="required" type="xs:NCName"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="name" type="xs:NCName"/>
    <xs:element name="note" type="xs:string"/>
    <xs:element name="dmdSec">
        <xs:complexType>
            <xs:sequence>
                <xs:element minOccurs="1" maxOccurs="1" ref="METS:mdWrap"/>
                <xs:element minOccurs="0" maxOccurs="unbounded" ref="METS:mdRef"/>
            </xs:sequence>
            <xs:attribute name="ID" use="required"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="mdWrap">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="METS:xmlData"/>
            </xs:sequence>
            <xs:attribute name="CHECKSUM" use="required"/>
            <xs:attribute name="CHECKSUMTYPE" use="required" type="xs:NCName"/>
            <xs:attribute name="CREATED" use="required" type="xs:dateTime"/>
            <xs:attribute name="ID" use="required"/>
            <xs:attribute name="LABEL"/>
            <xs:attribute name="MDTYPE" use="required" type="xs:NCName"/>
            <xs:attribute name="MDTYPEVERSION"/>
            <xs:attribute name="MIMETYPE" use="required"/>
            <xs:attribute name="OTHERMDTYPE" use="required" type="xs:NCName"/>
            <xs:attribute name="SIZE" use="required" type="xs:integer"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="xmlData">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="datacite:resource" minOccurs="0"/>
                <xs:element ref="premis:premis" minOccurs="0"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
    <xs:element name="mdRef">
        <xs:complexType>
            <xs:attribute name="ID" use="required"/>
            <xs:attribute ref="xlink:href" use="required"/>
            <xs:attribute ref="xlink:type" use="required"/>
            <xs:attribute name="CHECKSUM" use="required"/>
            <xs:attribute name="CHECKSUMTYPE" use="required" type="xs:NCName"/>
            <xs:attribute name="CREATED" use="required" type="xs:dateTime"/>
            <xs:attribute name="LABEL"/>
            <xs:attribute name="MDTYPE" use="required" type="xs:NCName"/>
            <xs:attribute name="MDTYPEVERSION"/>
            <xs:attribute name="MIMETYPE" use="required"/>
            <xs:attribute name="OTHERMDTYPE" use="required" type="xs:NCName"/>
            <xs:attribute name="SIZE" use="required" type="xs:integer"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="amdSec">
        <xs:complexType>
            <xs:sequence>
                <!-- 				<xs:element name="techMD" type="METS:mdSecType" minOccurs="0" maxOccurs="unbounded" /> -->
                <!-- 				<xs:element name="rightsMD" type="METS:mdSecType" minOccurs="0" maxOccurs="unbounded" /> -->
                <!-- 				<xs:element name="sourceMD" type="METS:mdSecType" minOccurs="0" maxOccurs="unbounded" /> -->
                <xs:element ref="METS:digiprovMD"/>
            </xs:sequence>
            <xs:attribute name="ID" use="required"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="digiprovMD">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="METS:mdWrap"/>
            </xs:sequence>
            <xs:attribute name="ID" use="required"/>
            <xs:attribute name="STATUS" use="required"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="fileSec">
        <xs:complexType>
            <xs:sequence>
                <xs:element maxOccurs="unbounded" ref="METS:fileGrp"/>
            </xs:sequence>
            <xs:attribute name="ID" use="required"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="structMap">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="METS:div"/>
            </xs:sequence>
            <xs:attribute name="ID" use="required"/>
            <xs:attribute name="LABEL" use="required"/>
            <xs:attribute name="TYPE" use="required" type="xs:NCName"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="fileGrp">
        <xs:complexType>
            <xs:sequence>
                <xs:element minOccurs="0" maxOccurs="unbounded" ref="METS:fileGrp"/>
                <xs:element minOccurs="0" maxOccurs="unbounded" ref="METS:file"/>
            </xs:sequence>
            <xs:attribute name="ID" use="required"/>
            <xs:attribute name="USE" use="required"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="file">
        <xs:complexType>
            <xs:sequence>
                <xs:element minOccurs="1" maxOccurs="1" ref="METS:FLocat"/>
            </xs:sequence>
            <xs:attribute name="ID" use="required"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="div">
        <xs:complexType>
            <xs:sequence>
                <xs:element minOccurs="0" maxOccurs="unbounded" ref="METS:div"/>
                <xs:element minOccurs="0" maxOccurs="unbounded" ref="METS:fptr"/>
            </xs:sequence>
            <xs:attribute name="ID" use="required"/>
            <xs:attribute name="LABEL" use="required"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="fptr">
        <xs:complexType>
            <xs:attribute name="FILEID" use="required"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="FLocat">
        <xs:complexType>
            <xs:attribute name="LOCTYPE" use="required" type="xs:NCName"/>
            <xs:attribute ref="xlink:href" use="required"/>
            <xs:attribute ref="xlink:type" use="required"/>
            <xs:attribute name="ID" use="required"/>
        </xs:complexType>
    </xs:element>
</xs:schema>
